.modal-body {
    @apply self-center max-h-screen bg-white rounded-lg overflow-hidden shadow-xl transform transition-all;
    max-height: 95vh;

    &.small {
        @apply sm:max-w-sm md:max-w-md lg:max-w-lg xl:max-w-xl 2xl:max-w-2xl 3xl:max-w-3xl sm:mx-auto;
    }

    &.medium {
        @apply sm:max-w-md md:max-w-lg lg:max-w-xl xl:max-w-2xl 2xl:max-w-4xl 3xl:max-w-6xl sm:mx-auto;
    }

    &.large {
        @apply sm:max-w-xl md:max-w-2xl lg:max-w-4xl xl:max-w-6xl 2xl:max-w-7xl 3xl:max-w-8xl sm:mx-auto;
    }

    &.max-width {
        @apply w-full;
    }
}
